<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFRelation (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFRelation (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFRelation.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFRelation.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFRelation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFRelation" class="title">Class XWPFRelation</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLRelation</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFRelation</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XWPFRelation</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html" title="class in org.apache.poi.ooxml">POIXMLRelation</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#CHART">CHART</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#COMMENT">COMMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#DOCUMENT">DOCUMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#ENDNOTE">ENDNOTE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#FONT_TABLE">FONT_TABLE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#FOOTER">FOOTER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#FOOTNOTE">FOOTNOTE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#GLOSSARY_DOCUMENT">GLOSSARY_DOCUMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#HEADER">HEADER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#HYPERLINK">HYPERLINK</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_BMP">IMAGE_BMP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_DIB">IMAGE_DIB</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_EMF">IMAGE_EMF</a></span></code>
                                    <div class="block">Supported image formats</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_EPS">IMAGE_EPS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_GIF">IMAGE_GIF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_JPEG">IMAGE_JPEG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_PICT">IMAGE_PICT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_PNG">IMAGE_PNG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_TIFF">IMAGE_TIFF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_WMF">IMAGE_WMF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGE_WPG">IMAGE_WPG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#IMAGES">IMAGES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#MACRO_DOCUMENT">MACRO_DOCUMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#MACRO_TEMPLATE_DOCUMENT">MACRO_TEMPLATE_DOCUMENT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#NUMBERING">NUMBERING</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#SETTINGS">SETTINGS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#STYLES">STYLES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#TEMPLATE">TEMPLATE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#THEME">THEME</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#WEB_SETTINGS">WEB_SETTINGS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#WORKBOOK">WORKBOOK</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html#getInstance-java.lang.String-">getInstance</a></span>(java.lang.String&nbsp;rel)</code>
                                    <div class="block">Get POIXMLRelation by relation type</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLRelation">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getContents-org.apache.poi.openxml4j.opc.PackagePart-">getContents</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getContentType--">getContentType</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getDefaultFileName--">getDefaultFileName</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getFileName-int-">getFileName</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getFileNameIndex-org.apache.poi.ooxml.POIXMLDocumentPart-">getFileNameIndex</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getRelation--">getRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getRelationClass--">getRelationClass</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DOCUMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOCUMENT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> DOCUMENT</pre>
                            </li>
                        </ul>
                        <a name="TEMPLATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEMPLATE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> TEMPLATE</pre>
                            </li>
                        </ul>
                        <a name="MACRO_DOCUMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MACRO_DOCUMENT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> MACRO_DOCUMENT</pre>
                            </li>
                        </ul>
                        <a name="MACRO_TEMPLATE_DOCUMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MACRO_TEMPLATE_DOCUMENT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> MACRO_TEMPLATE_DOCUMENT</pre>
                            </li>
                        </ul>
                        <a name="GLOSSARY_DOCUMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GLOSSARY_DOCUMENT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> GLOSSARY_DOCUMENT</pre>
                            </li>
                        </ul>
                        <a name="NUMBERING">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NUMBERING</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> NUMBERING</pre>
                            </li>
                        </ul>
                        <a name="FONT_TABLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FONT_TABLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> FONT_TABLE</pre>
                            </li>
                        </ul>
                        <a name="SETTINGS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SETTINGS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> SETTINGS</pre>
                            </li>
                        </ul>
                        <a name="STYLES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>STYLES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> STYLES</pre>
                            </li>
                        </ul>
                        <a name="WEB_SETTINGS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WEB_SETTINGS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> WEB_SETTINGS</pre>
                            </li>
                        </ul>
                        <a name="HEADER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HEADER</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> HEADER</pre>
                            </li>
                        </ul>
                        <a name="FOOTER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FOOTER</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> FOOTER</pre>
                            </li>
                        </ul>
                        <a name="THEME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THEME</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> THEME</pre>
                            </li>
                        </ul>
                        <a name="WORKBOOK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WORKBOOK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> WORKBOOK</pre>
                            </li>
                        </ul>
                        <a name="CHART">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CHART</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> CHART</pre>
                            </li>
                        </ul>
                        <a name="HYPERLINK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HYPERLINK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> HYPERLINK</pre>
                            </li>
                        </ul>
                        <a name="COMMENT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>COMMENT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> COMMENT</pre>
                            </li>
                        </ul>
                        <a name="FOOTNOTE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FOOTNOTE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> FOOTNOTE</pre>
                            </li>
                        </ul>
                        <a name="ENDNOTE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ENDNOTE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> ENDNOTE</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_EMF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_EMF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_EMF</pre>
                                <div class="block">Supported image formats</div>
                            </li>
                        </ul>
                        <a name="IMAGE_WMF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_WMF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_WMF</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_PICT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_PICT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_PICT</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_JPEG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_JPEG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_JPEG</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_PNG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_PNG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_PNG</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_DIB">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_DIB</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_DIB</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_GIF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_GIF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_GIF</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_TIFF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_TIFF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_TIFF</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_EPS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_EPS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_EPS</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_BMP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_BMP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_BMP</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_WPG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_WPG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGE_WPG</pre>
                            </li>
                        </ul>
                        <a name="IMAGES">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>IMAGES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a> IMAGES</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getInstance-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getInstance</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a>&nbsp;getInstance(java.lang.String&nbsp;rel)</pre>
                                <div class="block">Get POIXMLRelation by relation type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rel</code> - relation type, for example,
                                        <code>http://schemas.openxmlformats.org/officeDocument/2006/relationships/image</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>registered POIXMLRelation or null if not found</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFRelation.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFRelation.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFRelation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
